To receive notifications about scheduled maintenance, please subscribe to the mailing-list gitlab-operations@sympa.ethz.ch. You can subscribe to the mailing-list at https://sympa.ethz.ch

Commit ad834de2 authored by [ofaull]'s avatar [ofaull]
Browse files

Added R and p correlation values to validation Figures

parents
.DS_Store
cluster_useful_lines.txt
fix/
pbihb_unused/
[submodule "PhysIO"]
path = PhysIO
url = git@tnurepository.ethz.ch:ofaull/physio-public.git
[submodule "SPM12"]
path = SPM12
url = https://github.com/spm/spm12.git
[submodule "TAPAS"]
path = TAPAS
url = https://github.com/translationalneuromodeling/tapas.git
[submodule "pbihb_prepModels"]
path = pbihb_prepModels
url = git@tnurepository.ethz.ch:ofaull/pbihb_prepmodels.git
[submodule "HMeta-d"]
path = HMeta-d
url = https://github.com/metacoglab/HMeta-d.git
Subproject commit 83601d3a7765b65e46bb2fed4b9152a3a31963b7
Download source files from
<https://sourceforge.net/projects/mcmc-jags/files/JAGS/3.x/Source/>
```shell
tar -xzvf JAGS-3.4.0.tar.gz
cd JAGS-3.4.0/
# Set up compiler
module load gcc openblas
module list
# Build and install!
mkdir "${HOME}/jags"
LIBS=-lopenblas ./configure --prefix="${HOME}/jags"
make
make install
```
# Open matjags.m (in HMeta-d toolbox) and re-set the location of jags to where you have downloaded it on Euler,
# by changing the 2 instances of the following:
# original line: jagsPrefix = ''; %sprintf('/usr/local/bin/');
# example change to: jagsPrefix = sprintf('/cluster/home/ofaull/jags/bin/');
This diff is collapsed.
This diff is collapsed.
PhysIO @ 415c6879
Subproject commit 415c6879eb4f24c9b2a26c2e748d4c5bfe19151d
# ANALYSIS OF DATA FOR BREATHING ANXIETY MANUSCRIPT
Author: Olivia Harrison
Created: 16/03/2021
This software is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details: <http://www.gnu.org/licenses/>
-----
### INCLUDED SOFTWARE
This toolbox includes a copy of the HMeta-d Toolbox (https://github.com/metacoglab/HMeta-d) under the MIT Licence, and SPM12 software (https://github.com/spm/spm12/blob/master/LICENCE.txt) under the GPU Licence. Please see the included licence and README files within each of the toolbox folders for further information and required referencing.
-----
### REREFENCING
If you use any of the tasks in this manuscript, please reference Harrison et al., "Interoception of breathing and its relationship with anxiety" (in preparation).
If you use the inspiratory resistance circuit designed for this task, please reference Rieger et al. (2020): https://doi.org/10.3389/fnhum.2020.00161
If you use the Filter Detection Task, please reference Harrison et al.,: https://www.biorxiv.org/content/10.1101/2020.06.29.176941v1
-----
### GENERAL OVERVIEW
This code covers the analysis of questionnaire data, data from the 'Filter Detection Task' (FDT: an interoceptive sensitivity and metacognition task), the novel 'Breathing Learning Task' (BLT: an associative learning paradigm between visual cues and inspiratory resistances), and the brain activity (recorded using 7 Tesla fMRI) associated with the BLT. Data are compared between two groups of individuals: those with very low and moderate levels of anxiety. A final multi-modal analysis is then conducted across all task modalities, to assess the multiple levels of the relationship between breathing-related interoception and anxiety.
-----
Subproject commit 3085dac00ac804adb190a7e82c6ef11866c8af02
Subproject commit abcc18cf8a0646a5eebcfd317a6645ffcfcaf8fd
function [status,output] = call_fsl(cmd)
% [status, output] = call_fsl(cmd)
%
% Wrapper around calls to FSL binaries
% clears LD_LIBRARY_PATH and ensures
% the FSL envrionment variables have been
% set up
% Debian/Ubuntu users should uncomment as
% indicated
fsldir=getenv('FSLDIR');
% Debian/Ubuntu - uncomment the following
%fsllibdir=sprintf('%s/%s', fsldir, 'bin');
if ismac
dylibpath=getenv('DYLD_LIBRARY_PATH');
setenv('DYLD_LIBRARY_PATH');
else
ldlibpath=getenv('LD_LIBRARY_PATH');
setenv('LD_LIBRARY_PATH', '/cluster/apps/openblas/0.2.13_seq/x86_64/gcc_4.8.2/lib');
% Debian/Ubuntu - uncomment the following
% setenv('LD_LIBRARY_PATH',fsllibdir);
end
disp('DEBUG: Using monkey-patched version of `call_fsl()`.')
[status,output] = system('/bin/sh -c ''ls /cluster/apps/openblas/0.2.13_seq/x86_64/gcc_4.8.2/lib''');
disp(output)
[status,output] = system('/bin/sh -c ''echo $LD_LIBRARY_PATH''');
disp(output)
disp('DEBUG: Tests complete.')
command = sprintf('/bin/sh -c ''. %s/etc/fslconf/fsl.sh; %s''', fsldir, cmd);
[status,output] = system(command);
if ismac
setenv('DYLD_LIBRARY_PATH', dylibpath);
else
setenv('LD_LIBRARY_PATH', ldlibpath);
end
if status
error('FSL call (%s) failed, %s', command, output)
else
disp('DEBUG: Command run.')
end
#!/bin/bash
# Script to call MATLAB
# Uses the environment variable FSL_FIX_MATLAB_MODE to control whether compiled, un-compiled or Octave versions are used
function usage {
echo \
"$0 [-z <mode>] [-o <options>] [-p <path>] [-h <fix path>]
[-c <mcr path>] [-b <binaries path>] [-l <logfile>]
{-r <\"MATLAB code\">|-m <script>|-f <function> [arguments...]}
-z <mode>: This overrides the environment variable
FSL_FIX_MATLAB_MODE which would otherwise control this.
0 = Use compiled MATLAB function specified by
-m <function name>
1 = Use MATLAB - requires -r or -m option
2 = Use Octave - requires -r or -m option
-r <\"MATLAB code\">: Evaluate the double-quoted MATLAB/Octave
code. Equivalent to 'matlab -r \"MATLAB code\"' or
'octave --eval \"MATLAB code\"'
Ensure that any double quotes in this string are escaped
with '\\'.
-m <script>:
-z = 0 or not provided, run as -z = 1
-z = 1|2 - Run <script> in MATLAB/Octave
Equivalent to 'matlab \< <script>.m' or 'octave <script>.m'
-f <function> [arguments]:
-z = 0 - Call compiled MATLAB <function>
Arguments to be passed are given in the remainder of the
command line.
-z = 1|2 - Run <function> script in MATLAB/Octave
Equivalent to 'matlab -r \"<function>([arguments])\"' or
'octave --eval \"<function>([arguments])\"'
Arguments to be passed are given in the remainder of the
command line.
-o <options>: Double quoted list of MATLAB/Octave command line
options. Defaults to \${FSL_FIX_MLOPTS} or \${FSL_FIX_OCOPTS}
respectively
-p <path>: Path to MATLAB/Octave startup script/binary.
Defaults to: \${FSL_FIX_MATLAB} or \${FSL_FIX_OCTAVE}
respectively
-h <path>: Path to folder containing the Fix programs
-w <path>: Path to FSL MATLAB helper functions, defaults to
${FSLDIR}/etc/matlab
-c <mcr path>: Path to MATLAB Compiler Runtime for the version
of MATLAB Fix was compiled under. Defaults to \${FSL_FIX_MCR}
-b <compiled path>: Path to the folder containing the compiled MATLAB
functions. Defaults to \${FSL_FIX_MLCDIR}
-l <logfile>: Append console and error output to <logfile>\n" >&2
exit 2
}
if [ -z "${FSL_FIXDIR}" ]; then
FSL_FIXDIR=$( cd $(dirname $0) ; pwd)
export FSL_FIXDIR
fi
. ${FSL_FIXDIR}/settings.sh
opt_str=":z:o:p:h:c:b:l:r:m:f:d"
NO_EXT=0
DEBUG=0
while getopts ${opt_str} opt
do
case $opt in
z)
if [ -z "${fmm}" ]; then
case ${OPTARG} in
''|*[!0-9*])
usage
;;
*)
fmm=${OPTARG}
;;
esac
else
echo "More than one mode passed." >&2
usage
fi
;;
o)
if [ -z "${DMOPTS}" ]; then
DMOPTS=${OPTARG}
else
echo "More than one MATLAB/Octave option string passed." >&2
usage
fi
;;
p)
if [ -z "${BIN_PATH}" ]; then
BIN_PATH=${OPTARG}
else
echo "More than one MATLAB/Octave binary path passed." >&2
usage
fi
;;
h)
if [ -z "${FIX_PATH}" ]; then
FIX_PATH=${OPTARG}
else
echo "More than one FIX path passed." >&2
usage
fi
;;
w)
if [ -z "${FSL_MATLAB_PATH}" ]; then
FSL_MATLAB_PATH=${OPTARG}
else
echo "More than one FSL MATLAB path passed." >&2
usage
fi
;;
c)
if [ -z "${MCR}" ]; then
MCR=${OPTARG}
else
echo "More then one MATLAB runtime path passed." >&2
usage
fi
;;
b)
if [ -z "${CSUBDIR}" ]; then
CSUBDIR=${OPTARG}
else
echo "More than one compiled MATLAB executable path passed." >&2
usage
fi
;;
l)
if [ -z "${LOGF}" ]; then
LOGF=${OPTARG}
else
echo "More than one log file passed." >&2
usage
fi
;;
r)
if [ -z "${EVAL}" ]; then
EVAL=${OPTARG}
else
echo "More than one set of MATLAB/Octave commands passed." >&2
usage
fi
;;
f)
if [ -z "${FUNC}" ]; then
FUNC=${OPTARG}
else
echo "More than one function passed." >&2
usage
fi
;;
m)
if [ -z "${MFILE}" ]; then
MFILE=${OPTARG}
else
echo "More than one file name passed." >&2
usage
fi
;;
d)
DEBUG=1
set -x
;;
\?)
echo "Invalid option: -$OPTARG" >&2
usage
;;
:)
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
if [ -z "${FSLDIR}" ]; then
echo "FSLDIR environment variable not set!" >&2
usage
fi
if [ ! -z "${EVAL}" -a ! -z "${MFILE}" -a ! -z "${FUNC}" ]; then
echo "Cannot evaluate commands and a function/compiled command." >&2
usage
fi
if [ -z "${fmm}" ]; then
if [ -z "${FSL_FIX_MATLAB_MODE}" ]; then
fmm=0
else
fmm=${FSL_FIX_MATLAB_MODE}
fi
fi
shift $(($OPTIND - 1))
if [ ! -z "${EVAL}" -a $fmm -eq 0 ]; then
# Default to running MATLAB if evaluation has been specified without a -z mode
fmm=1
fi
if [ ! -z "${MFILE}" -a $fmm -eq 0 ]; then
# Default to running MATLAB if script has been specified without a -z mode
fmm=1
fi
# Capture the passed arguments if we are running a function
if [ ! -z "${FUNC}" ]; then
F_ARGS=''
for arg in "$@";do
if echo "${arg}" | egrep '^[-+]?([0-9]+\.?|[0-9]*\.[0-9]+)$' >/dev/null
then
F_ARGS="${F_ARGS} ${arg}"
else
F_ARGS="${F_ARGS} '${arg//\"/\\\"}'"
fi
done;
fi
# Set some defaults
if [ -z "${MATLAB_BIN}" ]; then
MATLAB_BIN=${FSL_FIX_MATLAB}
fi
if [ -z "${OCTAVE_BIN}" ]; then
OCTAVE_BIN=${FSL_FIX_OCTAVE}
fi
if [ -z "${CSUBDIR}" ]; then
CSUBDIR=${FSL_FIX_MLCDIR}
fi
if [ -z "${MCR}" ]; then
MCR=${FSL_FIX_MCR}
fi
if [ ! -z "${LOGF}" ]; then
LOGGING=" >> ${LOGF} 2>&1 "
fi
case ${fmm} in
''|*[!0-9]*) echo "MATLAB Mode must be a number" >&2
usage
;;
*) : ;;
esac
if [ ${fmm} -eq 0 ]; then
# Compiled MATLAB - the default
if [ -z "${FUNC}" ]; then
echo "No compiled function name passed." >&2
usage
fi
# Test for MCR setup
if [ ! -d "${MCR}" ]; then
echo "Unable to find MATLAB Compiler Runtime" >&2
usage
fi
if [ -z "${FSL_FIX_MCRV}" ]; then
echo "Cannot locate MATLAB Compiler Runtime version file (MCR.version) - has this been compiled?" >&2
usage
fi
EXE=${CSUBDIR}/run_${FUNC}.sh
if [ ! -x "${EXE}" ]; then
if [ "${DEBUG}" -eq 1 ]; then
echo "Cannot find executable for compiled function (looking for ${EXE}) - reverting to running MATLAB."
fi
if [ -x "${MATLAB_BIN}" ]; then
fmm=1
elif [ -x "${OCTAVE_BIN}" ]; then
fmm=2
else
echo "Unable to find compiled functions or MATLAB/OCTAVE" >&2
exit 2
fi
else
cmd="${EXE} ${MCR} ${F_ARGS} ${LOGGING}"
echo "$cmd" | sh
exit $?
fi
elif [ -z "${DOPTS}" ]; then
if [ "${fmm}" -eq 1 ]; then
DOPTS=${FSL_FIX_MLOPTS}
else
DOPTS=${FSL_FIX_OCOPTS}
fi
fi
if [ "${fmm}" -eq 1 ]; then
RUNTIME="${MATLAB_BIN}"
EVAL_CMD=${FSL_FIX_MLEVAL}
FILE_CMD=${FSL_FIX_MLFILE}
if [ ! -x "${RUNTIME}" ]; then
echo "${RUNTIME} not found!" >&2
usage
fi
elif [ "${fmm}" -eq 2 ]; then
RUNTIME="${OCTAVE_BIN}"
EVAL_CMD=${FSL_FIX_OCEVAL}
FILE_CMD=${FSL_FIX_OCFILE}
if [ ! -x "${RUNTIME}" ]; then
echo "${RUNTIME} not found!" >&2
usage
fi
fi
if [ -z "${FSL_MATLAB_PATH}" ]; then
FSL_MATLAB_PATH=${FSL_FIX_FSLMATLAB}
fi
#ML_PATHS="addpath('${FSL_FIXDIR}'); addpath('${FSL_MATLAB_PATH}');"
ML_PATHS="addpath('${FSL_FIXDIR}'); addpath('${FSL_MATLAB_PATH}'); addpath('${FSL_FIXDIR}');"
if [ ${fmm} -gt 0 -a ${fmm} -lt 3 ]; then
# Uncompiled MATLAB/Octave
if [ ! -z "${EVAL}" ]; then
# We were passed some MATLAB/Octave commands in a string
cmd="${RUNTIME} ${DOPTS} ${EVAL_CMD} \"${ML_PATHS} ${EVAL}\" ${LOGGING}"
echo "$cmd" | sh
exit $?
elif [ ! -z "${FUNC}" ]; then
for arg in ${F_ARGS}; do
arg=$(echo $arg | sed -e 's/^\(.* \)$/\"\1\"/')
FUNC_ARGS="${FUNC_ARGS},${arg}"
done
FUNC_ARGS=$(echo ${FUNC_ARGS} | sed -e 's/^.\(.*\)$/\1/')
cmd="${RUNTIME} ${DOPTS} ${EVAL_CMD} \"${ML_PATHS} ${FUNC}(${FUNC_ARGS});\" ${LOGGING}"
echo "$cmd" | sh
exit $?
elif [ ! -z "${MFILE}" ]; then
# We were passed a MATLAB script to run
cmd="${RUNTIME} ${DOPTS} ${FILE_CMD} ${MFILE} ${LOGGING}"
echo "$cmd" | sh
exit $?
else
echo "Missing MATLAB/Octave function to run" >&2
usage
fi
else
echo "Unrecognised run mode." >&2
usage
fi
100.0 75.9 100.0 81.0 100.0 92.4 100.0 93.7 100.0 96.2 100.0 100.0 100.0 100.0 100.0 100.0
100.0 85.4 100.0 89.9 100.0 91.0 100.0 93.3 100.0 94.4 100.0 95.5 100.0 100.0 100.0 100.0
100.0 75.0 100.0 78.2 100.0 86.3 100.0 93.5 100.0 98.4 100.0 98.4 100.0 100.0 100.0 100.0
100.0 73.3 100.0 81.7 100.0 88.3 100.0 91.7 100.0 95.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 80.0 100.0 88.3 100.0 88.3 100.0 91.7 100.0 96.7 100.0 98.3 100.0 100.0 100.0 100.0
100.0 76.8 100.0 83.2 100.0 87.4 100.0 91.6 100.0 97.9 100.0 98.9 100.0 100.0 100.0 100.0
100.0 80.8 100.0 83.6 100.0 89.0 100.0 93.2 100.0 97.3 100.0 100.0 100.0 100.0 100.0 100.0
100.0 80.2 100.0 86.4 100.0 90.1 100.0 93.8 100.0 98.8 100.0 98.8 100.0 100.0 100.0 100.0
100.0 77.1 100.0 84.3 100.0 91.6 100.0 94.0 100.0 98.8 100.0 98.8 100.0 100.0 100.0 100.0
100.0 87.0 100.0 89.1 100.0 94.6 100.0 95.7 100.0 98.9 100.0 100.0 100.0 100.0 100.0 100.0
100.0 89.1 100.0 90.9 100.0 92.7 100.0 98.2 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 84.8 100.0 89.4 100.0 93.9 100.0 93.9 100.0 98.5 100.0 100.0 100.0 100.0 100.0 100.0
100.0 78.8 100.0 86.4 100.0 89.4 100.0 97.0 100.0 98.5 100.0 100.0 100.0 100.0 100.0 100.0
100.0 85.9 100.0 88.0 100.0 93.5 100.0 96.7 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 82.2 100.0 82.2 100.0 91.1 100.0 93.3 100.0 97.8 100.0 100.0 100.0 100.0 100.0 100.0
100.0 85.4 100.0 89.6 100.0 97.9 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 83.6 100.0 90.4 100.0 91.8 100.0 95.9 100.0 98.6 100.0 100.0 100.0 100.0 100.0 100.0
100.0 83.3 100.0 87.5 100.0 90.3 100.0 93.1 100.0 97.2 100.0 100.0 100.0 100.0 100.0 100.0
100.0 80.0 100.0 83.0 100.0 90.0 100.0 94.0 100.0 97.0 100.0 99.0 100.0 100.0 100.0 100.0
100.0 91.5 100.0 96.3 100.0 97.6 100.0 98.8 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 92.9 100.0 92.9 100.0 94.3 100.0 94.3 100.0 98.6 100.0 100.0 100.0 100.0 100.0 100.0
100.0 78.7 100.0 83.1 100.0 89.9 100.0 94.4 100.0 98.9 100.0 98.9 100.0 100.0 100.0 100.0
100.0 89.9 100.0 91.3 100.0 95.7 100.0 98.6 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 76.2 100.0 78.8 100.0 80.0 100.0 88.8 100.0 95.0 100.0 97.5 100.0 100.0 100.0 100.0
100.0 70.3 100.0 79.7 100.0 83.8 100.0 90.5 100.0 94.6 100.0 95.9 100.0 100.0 100.0 100.0
100.0 85.5 100.0 88.2 100.0 90.8 100.0 90.8 100.0 97.4 100.0 100.0 100.0 100.0 100.0 100.0
100.0 76.1 100.0 80.6 100.0 85.1 100.0 94.0 100.0 95.5 100.0 97.0 100.0 100.0 100.0 100.0
100.0 86.4 100.0 87.9 100.0 92.4 100.0 95.5 100.0 98.5 100.0 100.0 100.0 100.0 100.0 100.0
100.0 84.0 100.0 86.7 100.0 92.0 100.0 96.0 100.0 98.7 100.0 98.7 100.0 100.0 100.0 100.0
100.0 76.9 100.0 84.6 100.0 88.5 100.0 96.2 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 85.9 100.0 87.9 100.0 91.9 100.0 96.0 100.0 98.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 76.8 100.0 78.3 100.0 84.1 100.0 88.4 100.0 94.2 100.0 98.6 100.0 100.0 100.0 100.0
100.0 85.0 100.0 93.8 100.0 93.8 100.0 95.0 100.0 97.5 100.0 98.8 100.0 100.0 100.0 100.0
100.0 72.9 100.0 76.4 100.0 85.4 100.0 93.1 100.0 97.9 100.0 99.3 100.0 100.0 100.0 100.0
100.0 83.9 100.0 90.3 100.0 95.2 100.0 95.2 100.0 98.4 100.0 100.0 100.0 100.0 100.0 100.0
100.0 85.0 100.0 86.9 100.0 89.7 100.0 94.4 100.0 97.2 100.0 100.0 100.0 100.0 100.0 100.0
100.0 79.8 100.0 88.1 100.0 90.5 100.0 94.0 100.0 96.4 100.0 97.6 100.0 100.0 100.0 100.0
100.0 81.6 100.0 86.2 100.0 92.0 100.0 93.1 100.0 96.6 100.0 98.9 100.0 100.0 100.0 100.0
100.0 75.7 100.0 81.4 100.0 90.0 100.0 92.9 100.0 94.3 100.0 97.1 100.0 100.0 100.0 100.0
100.0 86.2 100.0 87.5 100.0 91.2 100.0 95.0 100.0 96.2 100.0 96.2 100.0 100.0 100.0 100.0
100.0 70.8 100.0 75.0 100.0 81.2 100.0 85.4 100.0 93.8 100.0 97.9 100.0 100.0 100.0 100.0
100.0 76.9 100.0 81.2 100.0 86.3 100.0 89.7 100.0 97.4 100.0 99.1 100.0 100.0 100.0 100.0
100.0 81.7 100.0 83.1 100.0 88.7 100.0 93.0 100.0 95.8 100.0 98.6 100.0 100.0 100.0 100.0
100.0 83.9 100.0 87.1 100.0 90.3 100.0 91.9 100.0 96.8 100.0 100.0 100.0 100.0 100.0 100.0
100.0 85.7 100.0 87.8 100.0 89.8 100.0 92.9 100.0 98.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 83.9 100.0 87.5 100.0 92.9 100.0 93.8 100.0 94.6 100.0 98.2 100.0 100.0 100.0 100.0
100.0 72.9 100.0 79.2 100.0 85.4 100.0 88.5 100.0 92.7 100.0 96.9 100.0 100.0 100.0 100.0
100.0 76.5 100.0 82.4 100.0 91.8 100.0 91.8 100.0 96.5 100.0 98.8 100.0 100.0 100.0 100.0
100.0 66.7 100.0 68.3 100.0 77.8 100.0 90.5 100.0 93.7 100.0 96.8 100.0 100.0 100.0 100.0
100.0 78.5 100.0 82.8 100.0 89.2 100.0 92.5 100.0 94.6 100.0 98.9 100.0 100.0 100.0 100.0
100.0 84.6 100.0 86.8 100.0 92.6 100.0 96.3 100.0 97.8 100.0 99.3 100.0 100.0 100.0 100.0
100.0 83.9 100.0 90.3 100.0 91.9 100.0 95.2 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 78.6 100.0 84.3 100.0 88.6 100.0 94.3 100.0 98.6 100.0 98.6 100.0 100.0 100.0 100.0
100.0 85.9 100.0 89.1 100.0 93.8 100.0 96.9 100.0 96.9 100.0 100.0 100.0 100.0 100.0 100.0
100.0 73.6 100.0 83.0 100.0 90.6 100.0 90.6 100.0 98.1 100.0 98.1 100.0 100.0 100.0 100.0
100.0 80.0 100.0 86.0 100.0 90.0 100.0 94.0 100.0 96.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 88.8 100.0 92.5 100.0 92.5 100.0 96.2 100.0 98.8 100.0 100.0 100.0 100.0 100.0 100.0
100.0 80.8 100.0 82.7 100.0 88.5 100.0 93.3 100.0 98.1 100.0 99.0 100.0 100.0 100.0 100.0
100.0 89.7 100.0 91.8 100.0 93.8 100.0 96.9 100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
100.0 80.4 100.0 86.3 100.0 92.2 100.0 94.1 100.0 96.1 100.0 100.0 100.0 100.0 100.0 100.0
100.0 84.4 100.0 89.0 100.0 92.7 100.0 96.3 100.0 96.3 100.0 99.1 100.0 100.0 100.0 100.0
100.0 67.2 100.0 75.9 100.0 85.4 100.0 91.2 100.0 97.8 100.0 99.3 100.0 100.0 100.0 100.0
set of thresholds is: 1 2 5 10 20 30 40 50
[TPR,TNR,(3*TPR+TNR)/4] pairs of results (averaged over datasets, one pair per threshold):
mean
100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
81.0 85.4 90.1 93.8 97.3 99.0 100.0 100.0
95.2 96.3 97.5 98.4 99.3 99.8 100.0 100.0
median
100.0 100.0 100.0 100.0 100.0 100.0 100.0 100.0
81.2 86.4 90.5 94.0 97.6 99.3 100.0 100.0
95.3 96.6 97.6 98.5 99.4 99.8 100.0 100.0
87.4 75.3 86.5 79.7 82.9 85.8 78.4 89.2 75.7 95.9 73.0 97.3 69.4 98.0 68.5 99.0
97.8 76.1 97.8 80.5 95.7 87.7 93.5 91.2 93.5 95.3 92.4 95.9 92.4 96.5 91.3 97.2
98.6 63.7 97.1 67.4 95.7 70.5 95.7 80.5 94.2 88.9 94.2 91.6 94.2 93.7 91.3 94.7
100.0 78.4 100.0 83.2 98.8 87.4 98.8 89.2 98.8 91.6 97.6 92.2 96.4 94.0 95.2 95.8
94.7 80.1 93.6 84.1 91.5 89.8 89.4 92.5 84.0 93.8 79.8 94.7 78.7 96.0 75.5 97.3
98.1 76.7 96.2 80.0 96.2 84.5 95.2 88.2 93.3 93.5 91.3 94.3 87.5 96.3 84.6 97.6
100.0 83.3 98.9 89.0 98.9 93.8 98.9 94.7 96.8 96.0 96.8 96.5 96.8 97.4 94.7 99.1
98.2 78.1 98.2 84.1 98.2 87.6 96.4 92.5 96.4 95.5 92.9 97.0 89.3 97.5 85.7 98.5
97.7 83.1 94.3 86.0 93.2 91.1 93.2 93.9 90.9 96.5 90.9 97.1 90.9 97.5 88.6 98.4
100.0 72.6 100.0 76.6 100.0 81.7 100.0 87.4 100.0 91.4 100.0 92.6 100.0 92.6 100.0 94.3
100.0 80.9 100.0 82.8 98.9 86.6 98.9 89.8 97.8 91.1 97.8 93.0 96.7 93.6 96.7 94.3
100.0 62.9 100.0 67.1 100.0 76.6 100.0 80.2 100.0 84.4 98.8 89.8 97.5 95.2 97.5 95.8
100.0 69.4 100.0 76.9 98.8 80.6 96.3 85.6 93.9 91.2 93.9 95.0 93.9 96.9 92.7 99.4
100.0 76.1 100.0 78.0 100.0 84.6 100.0 87.3 97.4 90.3 97.4 92.7 94.7 94.2 93.4 95.0
100.0 66.2 100.0 68.9 100.0 73.6 98.6 79.1 98.6 88.5 98.6 90.5 98.6 91.2 95.9 91.9
100.0 67.3 100.0 70.7 100.0 77.3 98.5 82.0 96.9 88.0 96.9 91.3 96.9 94.0 92.3 96.0
100.0 67.0 100.0 72.4 100.0 78.9 100.0 83.8 98.6 90.8 98.6 93.5 97.2 94.1 94.4 95.1
100.0 70.1 100.0 77.1 100.0 84.1 100.0 90.7 100.0 95.3 98.7 97.0 94.8 98.0 92.2 99.0
100.0 71.7 100.0 76.3 100.0 82.7 100.0 87.9 100.0 91.9 100.0 96.5 100.0 96.5 100.0 98.3
100.0 79.1 100.0 84.7 100.0 88.8 100.0 92.0 98.8 94.0 96.5 96.4 96.5 96.8 96.5 97.2
100.0 80.4 100.0 82.1 100.0 88.1 100.0 92.3 99.1 95.8 99.1 97.4 99.1 98.7 99.1 99.7
100.0 74.4 100.0 76.3 100.0 85.3 100.0 87.8 98.5 95.5 98.5 96.8 98.5 97.4 95.5 98.1
100.0 77.1 100.0 81.1 96.5 85.8 96.5 89.1 95.3 92.7 95.3 93.8 95.3 95.3 94.2 96.4
100.0 78.0 100.0 81.6 100.0 89.8 100.0 94.5 98.4 96.9 95.3 97.6 92.2 98.4 92.2 98.4
100.0 73.3 100.0 79.5 100.0 84.3 100.0 90.0 100.0 92.4 98.3 94.3 96.6 96.7 96.6 97.1
100.0 81.6 100.0 83.8 100.0 87.6 100.0 91.4 97.5 94.1 97.5 95.7 96.3 97.3 92.6 97.3
100.0 71.5 100.0 78.0 100.0 85.0 98.8 88.3 98.8 91.1 97.6 93.0 97.6 93.9 96.3 95.8
100.0 63.9 100.0 68.6 99.0 78.1 98.0 83.4 96.0 87.6 96.0 90.5 96.0 92.3 94.9 95.9
100.0 50.6 100.0 59.0 100.0 67.3 100.0 78.8 100.0 84.6 100.0 87.8 100.0 90.4 98.9 91.7
98.8 87.9 98.8 88.9 98.8 93.4 97.5 94.9 96.2 97.5 93.8 98.5 92.5 98.5 92.5 98.5
100.0 77.1 100.0 82.4 98.9 88.3 97.8 92.2 96.7 94.1 93.5 96.6 93.5 97.1 93.5 98.0
99.0 79.3 98.1 82.0 97.1 86.7 93.2 89.3 91.3 93.3 89.3 96.0 87.4 96.0 86.4 96.7
96.4 75.9 96.4 78.9 95.2 84.6 95.2 88.0 91.6 94.0 86.7 95.9 83.1 96.6 80.7 97.7
100.0 3.2 100.0 3.5 100.0 4.6 98.8 11.0 97.5 55.3 97.5 68.8 97.5 85.8 95.1 91.8
100.0 77.1 100.0 82.2 100.0 86.0 98.6 90.4 95.7 93.0 94.3 94.9 91.4 96.2 91.4 96.2
100.0 70.1 100.0 74.3 98.8 81.3 98.8 87.7 97.6 93.6 95.2 95.7 95.2 95.7 91.7 97.3
99.1 79.7 99.1 82.5 99.1 88.2 99.1 93.5 98.1 97.2 97.2 98.0 97.2 98.0 95.3 98.8
100.0 75.1 100.0 79.6 100.0 85.6 100.0 90.6 100.0 90.6 100.0 91.7 100.0 93.9 98.4 96.7
99.0 73.5 99.0 77.8 99.0 84.9 98.1 87.6 97.1 92.4 96.2 94.1 95.2 96.2 94.3 97.3
100.0 71.4 100.0 76.8 100.0 82.6 100.0 85.9 99.1 89.6 97.4 92.1 96.6 95.0 96.6 95.0
100.0 73.2 100.0 77.1 100.0 83.7 98.9 89.5 97.8 91.8 96.8 94.1 93.5 96.1 91.4 96.7
100.0 71.5 100.0 77.8 100.0 86.0 100.0 90.3 100.0 93.7 99.1 95.7 98.1 97.1 98.1 98.1
100.0 83.0 100.0 86.5 98.7 90.8 98.7 93.9 97.3 98.3 97.3 98.7 96.0 99.1 96.0 99.1
99.1 74.3 99.1 77.9 99.1 86.6 96.4 91.2 96.4 95.8 94.5 97.1 91.8 97.7 90.9 99.0
100.0 72.1 100.0 77.5 97.8 83.3 97.8 87.9 97.8 92.1 94.6 95.4 93.5 96.2 93.5 97.1
100.0 72.8 100.0 77.6 100.0 84.6 100.0 87.5 100.0 92.3 100.0 94.5 98.3 96.0 96.7 98.5
98.5 68.5 98.5 71.1 96.9 79.9 93.8 84.6 92.3 89.9 90.8 94.0 90.8 96.0 89.2 96.0
99.0 77.0 97.9 83.3 96.9 89.6 96.9 93.7 95.8 96.3 91.7 98.1 90.6 98.1 88.5 98.9
98.9 69.5 97.7 75.1 94.3 82.5 93.1 89.6 92.0 96.3 90.8 97.8 89.7 98.5 89.7 99.3
100.0 74.7 100.0 79.7 100.0 89.6 97.2 94.0 94.4 96.7 91.7 98.9 88.9 99.5 88.9 99.5
97.6 67.3 97.6 75.0 95.2 84.6 91.7 88.9 91.7 95.2 89.3 96.2 89.3 97.1 85.7 97.6
100.0 86.1 100.0 88.0 98.5 91.7 95.5 93.5 95.5 96.3 92.5 98.1 86.6 99.1 82.1 99.1
100.0 77.4 100.0 81.4 98.9 88.7 98.9 92.7 96.8 96.0 93.7 97.7 91.6 98.3 90.5 98.9
98.6 78.9 98.6 82.5 98.6 88.9 97.1 94.2 97.1 97.7 95.7 97.7 95.7 99.4 94.2 99.4
100.0 70.7 98.4 77.6 96.8 86.5 96.8 91.1 93.7 95.1 92.1 97.0 88.9 98.0 87.3 98.4
100.0 82.4 100.0 86.0 98.9 90.5 98.9 95.0 97.9 96.4 96.8 97.3 96.8 98.6 94.7 98.6
96.8 83.6 96.8 89.5 92.6 94.2 89.5 96.7 86.3 98.9 85.3 99.3 82.1 99.3 80.0 99.3
95.4 70.6 95.4 73.4 92.0 82.7 89.7 93.9 85.1 97.7 82.8 98.6 80.5 98.6 79.3 99.1
100.0 68.9 99.1 74.2 98.3 82.5 98.3 88.7 92.2 95.0 90.4 98.3 89.6 99.3 86.1 99.3
100.0 67.7 100.0 74.5 99.0 80.9 97.9 88.3 94.8 93.8 91.8 95.7 90.7 97.2 87.6 97.8